View a markdown version of this page

RegisterSourceEndpoint - AWS Elemental MediaConnect

RegisterSourceEndpoint

Registers a new source endpoint in MediaConnect.

Request Syntax

POST /v1/sourceEndpoint HTTP/1.1 Content-type: application/json { "clientToken": "string", "configuration": { ... }, "description": "string", "regionName": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If this token matches a previous request, the service ignores the request, but does not return an error.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 256.

Pattern: [!-~]+

Required: No

configuration

The configuration settings for the source endpoint.

Type: SourceEndpointConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

description

A description to help you identify the source endpoint.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1000.

Pattern: [ a-zA-Z_0-9\-.',@:;\(\)\[\]*]+

Required: No

regionName

The name of the AWS Region in which to register the source endpoint. Defaults to the current region if not specified.

Type: String

Required: No

tags

The tags to apply to the source endpoint. Each tag is a key-value pair.

Type: String to string map

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "sourceEndpoint": { "arn": "string", "associatedResourceDetails": { ... }, "availabilityZone": "string", "availabilityZoneId": "string", "configuration": { ... }, "connectedDestinations": [ "string" ], "connectionDetails": { ... }, "connectionState": "string", "createdAt": "string", "description": "string", "encryptionConfiguration": { ... }, "encryptionType": "string", "id": "string", "lifecycleManagement": "string", "messages": [ { "code": "string", "message": "string" } ], "name": "string", "regionName": "string", "registrationState": "string", "resourceShareDetails": { ... }, "resourceShareOwnership": "string", "sourceType": "string", "tags": { "string" : "string" }, "updatedAt": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

sourceEndpoint

The details of the source endpoint that was registered.

Type: SourceEndpoint object

Errors

For information about the errors that are common to all actions, see Common Error Types.

BadRequestException

This exception is thrown if the request contains a semantic error. The precise meaning depends on the API, and is documented in the error message.

HTTP Status Code: 400

ConflictException

The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.

HTTP Status Code: 409

ForbiddenException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerErrorException

The server encountered an internal error and is unable to complete the request.

HTTP Status Code: 500

ServiceUnavailableException

The service is currently unavailable or busy.

HTTP Status Code: 503

SourceEndpointServiceQuotaExceededException

The request would cause you to exceed a service quota for source endpoints. Delete unused source endpoints or request a quota increase, then try your request again.

HTTP Status Code: 420

TooManyRequestsException

The request was denied due to request throttling.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: